<?php

namespace backend\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Frapl012b;

/**
 * Frapl012bSearch represents the model behind the search form of `backend\models\Frapl012b`.
 */
class Frapl012bSearch extends Frapl012b
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['FRAPL01_UUID', 'FRAPL01_2B_UUID', 'FRAPL01_2B_KODE', 'FRAPL01_2B_JUDUL', 'FRAPL01_2B_SKK', 'CREATED', 'USERNAME'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     * @param string|null $formName Form name to be used into `->load()` method.
     *
     * @return ActiveDataProvider
     */
    public function search($params, $formName = null)
    {
        $query = Frapl012b::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params, $formName);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'CREATED' => $this->CREATED,
        ]);

        $query->andFilterWhere(['like', 'FRAPL01_UUID', $this->FRAPL01_UUID])
            ->andFilterWhere(['like', 'FRAPL01_2B_UUID', $this->FRAPL01_2B_UUID])
            ->andFilterWhere(['like', 'FRAPL01_2B_KODE', $this->FRAPL01_2B_KODE])
            ->andFilterWhere(['like', 'FRAPL01_2B_JUDUL', $this->FRAPL01_2B_JUDUL])
            ->andFilterWhere(['like', 'FRAPL01_2B_SKK', $this->FRAPL01_2B_SKK])
            ->andFilterWhere(['like', 'USERNAME', $this->USERNAME]);

        return $dataProvider;
    }
}
